statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (c) 2009 Bryan O'Sullivan
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Types

Description

Types for working with statistics.

Synopsis

- data Estimator
  - = Mean
  - | Variance
  - | VarianceUnbiased
  - | StdDev
  - | Function (Sample -> Double)
- type Sample = Vector Double
- type WeightedSample = Vector (Double, Double)
- type Weights = Vector Double

# Documentation

data Estimator Source

An estimator of a property of a sample, such as its `mean`.

The use of an algebraic data type here allows functions such as `jackknife` and `bootstrapBCA` to use more efficient algorithms when possible.

Constructors

Mean |
Variance |
VarianceUnbiased |
StdDev |
Function (Sample -> Double) |

type Sample = Vector Double Source

Sample data.

type WeightedSample = Vector (Double, Double) Source

Sample with weights. First element of sample is data, second is weight

type Weights = Vector Double Source

Weights for affecting the importance of elements of a sample.